package io.renren.modules.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.business.entity.BusinessPlanEntity;
import io.renren.modules.business.entity.BusinessWorkerEntity;
import io.renren.modules.business.entity.BusinessWorkerOrgEntity;

import java.util.List;
import java.util.Map;

/**
 * 工人信息表
 *
 * @author jiaqiao
 * @email jiaqiao@163.com
 * @date 2022-07-20 14:37:41
 */
public interface BusinessWorkerService extends IService<BusinessWorkerEntity> {

    PageUtils queryPage(Map<String, Object> params);

    List<BusinessWorkerEntity> queryNewPage(Map<String, Object> params);

    /**
     * 包含离职列表
     * @param params
     * @return
     */
    PageUtils selectAllContainsDeparturePage(Map<String, Object> params);

    List<BusinessWorkerEntity> selectAllContainsDeparture(Map<String, Object> params);

    /**
     * 可分配 未离职  人员名单
     * @param params
     * @return
     */
    List<BusinessWorkerEntity> queryfpWlzList();

    /**
     * 获取人员职责信息
     * @return
     */
    PageUtils orgDutyList(Map<String, Object> params);

    /**
     *机构框图信息
     * @return
     */
    BusinessWorkerOrgEntity jgktList();

    /**
     * 职位操作
     * @param params
     */
    void savdutyOperatee(Map<String, Object> params);

    /**
     * 获取所有录入的员工信息
     * @param params
     * @return
     */
    List<BusinessWorkerEntity> allWorkerList();

    Integer findCnByName(Map<String, Object> params);

    /**
     * 查询全部带队人员，明日计划
     * @return
     */
    List<BusinessWorkerEntity> queryDdry4Plan(BusinessPlanEntity businessPlanEntity);

    /**
     * 查询全部施工人员，明日计划
     * @return
     */
    List<BusinessWorkerEntity> querySgry4Plan(Map<String, Object> params);

    /**
     * 查询全部施工人员，明日计划
     * @return
     */
    List<BusinessWorkerEntity> selectName();
}

